Moodle httpswwwroot deprecated in Moodle 3.8

Description

Acceptance criteria

  • Change all occurrences of $CFG->httpswwwroot in the H5P integration for Moodle with $CFG->wwwroot if the moodle version is >= 3.8 while being backwards compatible

Description

httpswwwroot is deprecated as of Moodle 3.8 and will produce a warning if we still have it when 3.8 is released, ref: https://tracker.moodle.org/browse/MDL-46267

Acceptance Criteria

None

Status

Assignee

Thomas Marstrander

Reporter

Thomas Marstrander

Labels

Funding

None

Code reviewer

Pål Jørgensen

Released

None

Fix versions

Priority

Medium
Configure